import { Quiz } from "@model/quiz/quiz";
interface Props {
  quiz: Quiz;
}
export default function QuizgenegationName({ quiz }: Props) {
  let QuizgenegationName = "";
  quiz.config.type === "form"
    ? (QuizgenegationName =
        "Form " + quiz.backendId.toString().slice(-4).replace(/^0/, "1"))
    : quiz.config.type === "quiz"
      ? (QuizgenegationName =
          "Quiz " + quiz.backendId.toString().slice(-4).replace(/^0/, "1"))
      : (QuizgenegationName =
          "No type " + quiz.backendId.toString().slice(-4).replace(/^0/, "1"));
  return QuizgenegationName;
}
